CC=g++
CFLAGS= -g -static
#CFLAGS= -g -O4 -march=pentium4
#CFLAGS= -g -fno-inline
#STATIC= -static
EXE= runSolver

OBJS= runSolver.o 

all: $(EXE) $(VFR)

$(EXE): $(OBJS) 
	$(CC) $(STATIC) $(CFLAGS) -o $@ $(OBJS) -lstdc++

$(OBJS): $(INCLUDES) Makefile

.cpp.o:  
	$(CC) $(CFLAGS) $(DEFINES) -c -o $@ $< 

clean:
	rm -f $(EXE) $(VFR) *.o